Skip to main content
GET
/
lucca-api
/
employee-attribute-definitions
List employee-attribute-definitions
curl --request GET \
  --url https://{host}/lucca-api/employee-attribute-definitions \
  --header 'Api-Version: <api-version>' \
  --header 'Authorization: Bearer <token>'
{
  "type": "employee-attribute-definitions",
  "url": "https://example.ilucca.net/lucca-api/employee-attribute-definitions?limit=25",
  "totalCount": 345,
  "items": [
    {
      "id": "e_tShirtSize",
      "type": "employee-attribute-definition",
      "url": "https://example.ilucca.net/lucca-api/employee-attribute-definitions/e_tShirtSize",
      "name": "T-shirt size",
      "multipleValueHandling": null,
      "schema": {
        "$id": "/lucca-api/schemas/taxonomy-label-reference",
        "$schema": "https://json-schema.org/draft/2020-12/schema",
        "title": "taxonomy-label-reference",
        "type": [
          "object",
          "null"
        ],
        "additionalProperties": false,
        "required": [
          "id"
        ],
        "properties": {
          "id": {
            "type": "string",
            "minLength": 1
          },
          "type": {
            "type": "string",
            "const": "taxonomy-label",
            "readOnly": true
          },
          "url": {
            "type": "string",
            "format": "uri",
            "readOnly": true
          }
        }
      },
      "taxonomy": {
        "id": "45",
        "type": "taxonomy",
        "url": "https://example.ilucca.net/lucca-api/taxonomies/45"
      },
      "t9n": {
        "name": {
          "fr-FR": "Taille de t-shirt"
        }
      },
      "targetType": "employee",
      "links": {}
    }
  ]
}
This API endpoint is in beta and may be subject to changes, including breaking changes (similarly to the legacy API endpoints), without prior notice. Read more about versioning.
OAuth 2.0 scopes
 employee-attribute-definitions.readonly
or
 employee-attribute-definitions.readwrite

Authorizations

Authorization
string
header
required

The Lucca API implements the oAuth 2 protocol with the client-credentials-flow. Refer to RFC8725.

Headers

Api-Version
enum<string>
required

Set the API version.

Available options:
2024-11-01
Allowed value: "2024-11-01"
Maximum string length: 10
Example:

"2024-11-01"

If-None-Match
string

Only execute the request if current cached version of the resource does not match the one given here.

Example:

"W/q5sd4w2x1c1gfdg"

If-Match
string

Only execute the request if current cached version of the resource matches the one given here. Useful to avoid concurrency conflicts.

Example:

"W/q5sd4w2x1c1gfdg"

Accept-Encoding
string

List of compression algorithms you support.

Query Parameters

id
string[]

Filter out employee-attribute-definitions on their IDs.

Maximum array length: 100
Minimum string length: 1
Example:
[
  "jobPosition.manager",
  "e_certifications",
  "employee.familyName"
]
schema.title
enum<string>

Filter out extension-definition on their schema.

Available options:
short-text,
long-text,
boolean,
int32,
decimal,
legacy-date,
phone-number,
email,
url,
file-reference,
employee-reference,
taxonomy-label-reference

Find an employee-attribute-definition by its name. The name must start with the given value.

Minimum string length: 1
isArchived
boolean

When omitted: return both archived and non-archived resources. When true: only return archived resources. When false: only return non-archived resources.

sort
enum<string>[]

Order results by instruction. Read more about sorting. Default: id.

Available options:
id,
-id,
name,
-name,
createdAt,
-createdAt
page
string

Cursor of the page to retrieve. Read more about pagination.

limit
integer
default:25

Number of items per page. Defaults to 25. Maximum is 100. Read more about pagination.

Required range: 0 <= x <= 100
include
enum<string>[]

Include metadata:

  • embedded: the partial or complete representations of related resources (e.g. the employee the resource belongs to).
  • links: links to related resources or actions (e.g. approving a leave-request). May be null when you do not have access to the resource (or action).
  • totalCount: only applicable on collections (i.e. lists of resources), gives the total number of items across all pages.

Read more about expanding responses.

Available options:
embedded,
links,
totalCount

Response

OK

A collection of employee-attribute-definition resources.

type
string
Allowed value: "employee-attribute-definitions"
url
string<uri>
totalCount
integer<int64> | null

Total number of employee-attribute-definition resources across all pages that satisfy query parameters.

Required range: x >= 0
items
employee-attribute-definition · object[]
Maximum array length: 100

Links to related resources

embedded
object

No embedded resources on a employee-attribute-definition(s) response. Expect an empty object if embedded are requested.